Agenda :

1. Launch Configuration

2. AutoScaling

3. Load Balancers --> AutoScaling --> EC2 Instances

4. EFS 


Customer : codewithckk.com 

    - I am a startup : 
        - Yes, my Customers are accross the globe 
        - 24 Hrs :
            Min Users : 100 Users (Monday To Friday)
            Max Users : 1 Million 
                - 2 Min Instances where the will be able to handle 2 Users (46 + 46 = 92 Users)
                    - Instances Type : t2.micro :
                        1 core processor , 1 gb ram , 8 gb hard disk : 46 users 

A t2 micro instance comes with 1 GB, from which you can utilize around 920 Mb, 
arnd 100mb get consumed by other system process. 
If a single user connection takes around 20MB of memory, 
then parallely you can server 920/20 = 46 users.

t2.micro : 10 USD per month , 20 USD per month 

        What is your budjet for max users : 100 

        2 instance are : 100 users + 10 more users part of AutoScaling you have to define 1 to 5 minutes add another instance 


AutoScaling :

    - Horizontal and Vertical Scaling :

        - Horizontal Scaling : Is the act of changing the number of nodes in a 
          computing system without changing the siez of any individual node.

        - Vertical Scaling : Is the increasing the size and computing power of a single instance or node 
        without increasing the number of nodes or instances
